<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Media Server: testing::internal::String Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Media Server
   &#160;<span id="projectnumber">1.0</span>
   </div>
   <div id="projectbrief">Simple MediaServer with effects and filters</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classtesting_1_1internal_1_1String.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-static-methods">Static Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">testing::internal::String Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a8bce6b1281ae3d2f9061b920aa78aca0"><td class="memItemLeft" align="right" valign="top"><a id="a8bce6b1281ae3d2f9061b920aa78aca0"></a>
static const char *&#160;</td><td class="memItemRight" valign="bottom"><b>CloneCString</b> (const char *c_str)</td></tr>
<tr class="separator:a8bce6b1281ae3d2f9061b920aa78aca0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8bea7b33e7effbd299a0b4a5522ea96e"><td class="memItemLeft" align="right" valign="top"><a id="a8bea7b33e7effbd299a0b4a5522ea96e"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>CStringEquals</b> (const char *lhs, const char *rhs)</td></tr>
<tr class="separator:a8bea7b33e7effbd299a0b4a5522ea96e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf7e376ff580677ea4954d5913d5b917"><td class="memItemLeft" align="right" valign="top"><a id="aaf7e376ff580677ea4954d5913d5b917"></a>
static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>ShowWideCString</b> (const wchar_t *wide_c_str)</td></tr>
<tr class="separator:aaf7e376ff580677ea4954d5913d5b917"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab0373bf6e96453d6ca0de2e68df13d3a"><td class="memItemLeft" align="right" valign="top"><a id="ab0373bf6e96453d6ca0de2e68df13d3a"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>WideCStringEquals</b> (const wchar_t *lhs, const wchar_t *rhs)</td></tr>
<tr class="separator:ab0373bf6e96453d6ca0de2e68df13d3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a116ca435d63306927ba19f90a3596787"><td class="memItemLeft" align="right" valign="top"><a id="a116ca435d63306927ba19f90a3596787"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>CaseInsensitiveCStringEquals</b> (const char *lhs, const char *rhs)</td></tr>
<tr class="separator:a116ca435d63306927ba19f90a3596787"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1f12d1780ca7afbf8975f5d425b9f362"><td class="memItemLeft" align="right" valign="top"><a id="a1f12d1780ca7afbf8975f5d425b9f362"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>CaseInsensitiveWideCStringEquals</b> (const wchar_t *lhs, const wchar_t *rhs)</td></tr>
<tr class="separator:a1f12d1780ca7afbf8975f5d425b9f362"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a968f242b709f8c7c0ed5ecf246553321"><td class="memItemLeft" align="right" valign="top"><a id="a968f242b709f8c7c0ed5ecf246553321"></a>
static bool&#160;</td><td class="memItemRight" valign="bottom"><b>EndsWithCaseInsensitive</b> (const std::string &amp;str, const std::string &amp;suffix)</td></tr>
<tr class="separator:a968f242b709f8c7c0ed5ecf246553321"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af50b18d588355871e1982c4043523e0f"><td class="memItemLeft" align="right" valign="top"><a id="af50b18d588355871e1982c4043523e0f"></a>
static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>FormatIntWidth2</b> (int value)</td></tr>
<tr class="separator:af50b18d588355871e1982c4043523e0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad36bb9d3f5bc2014b7badb38cfc57da1"><td class="memItemLeft" align="right" valign="top"><a id="ad36bb9d3f5bc2014b7badb38cfc57da1"></a>
static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>FormatIntWidthN</b> (int value, int width)</td></tr>
<tr class="separator:ad36bb9d3f5bc2014b7badb38cfc57da1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affe59102e49092fc0684388e9b0c5c1e"><td class="memItemLeft" align="right" valign="top"><a id="affe59102e49092fc0684388e9b0c5c1e"></a>
static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>FormatHexInt</b> (int value)</td></tr>
<tr class="separator:affe59102e49092fc0684388e9b0c5c1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e1ab9d4d03b4218e761459a099a8286"><td class="memItemLeft" align="right" valign="top"><a id="a5e1ab9d4d03b4218e761459a099a8286"></a>
static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>FormatHexUInt32</b> (uint32_t value)</td></tr>
<tr class="separator:a5e1ab9d4d03b4218e761459a099a8286"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af702dc7cbd569589d8e3ff215a7cafa9"><td class="memItemLeft" align="right" valign="top"><a id="af702dc7cbd569589d8e3ff215a7cafa9"></a>
static std::string&#160;</td><td class="memItemRight" valign="bottom"><b>FormatByte</b> (unsigned char value)</td></tr>
<tr class="separator:af702dc7cbd569589d8e3ff215a7cafa9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="gtest-string_8h_source.html">gtest-string.h</a></li>
<li>gtest.cc</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><b>testing</b></li><li class="navelem"><b>internal</b></li><li class="navelem"><a class="el" href="classtesting_1_1internal_1_1String.html">String</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
